#include<stdio.h>
#include<string.h>

  int tasks;
  char radek[1024];
  int delka;
  char oper;
  int n1[512]; /* prvni cislo */
  int n1p;
  int n2[512]; /* druhe cislo */
  int n2p;
  int resp;
  int respk;
  int MAX;
  int res[1000]; /* vysledek */ 
  int mres[1000][1000];
  int i, j;
  int prvni;  /* nacita se druhe cislo */

void soucet(void) {
  int over = 0;
  int s;
  for (i=0; i<MAX+1; i++) {
    s = n1[i] + n2[i] + over;
    over = 0;
    if (s<=9) res[i] = s;
    else {
      res[i] = s - 10;
      over = 1;
    }
  } 
  resp = MAX;
  for (i=resp; i>=0; i--) {
    if (res[i]!=0) { resp = i;
		     break;
    }	
  }

return;
}

void odecti(void) {
  int over = 0;
  int s;

  for(i=0; i<=MAX; i++) {
    if (n1[i]<n2[i]+over)  {
      s = (10+n1[i])-(n2[i]+over);
      over = 1;
    }
    else {
      s = n1[i]-(n2[i]+over);
      over = 0;
    }
    res[i] = s;
  }
  resp=MAX;
  for (i=resp; i>=0; i--) {
    if (res[i]!=0) { resp = i;
		     break;
    }	
  }

  return;
}

/* init mat */
void nuluj(void) {
  for (i=0; i<1000; i++)
    for (j=0; j<1000; j++)
      mres[i][j] = 0;
      
  for (i=0; i<1000; i++)      
    res[i] = 0;

  return;
}

void nasob(void) {
int over;
  for (i=0; i<n2p; i++) {
    over = 0;
    for (j=0; j<=n1p; j++) {
      mres[i][j+i] = n1[j] * n2[i] + over;
      over = 0;
      if (mres[i][j+i]>9) { over=mres[i][j+i] / 10;
                         mres[i][j+i] = mres[i][j+i] % 10;
      }		 
    }
  }
  over = 0;
  for (j=0; j<=n1p+n2p; j++) {
    for (i=0; i<n2p; i++)  res[j] += mres[i][j];
    res[j] +=over;
    over = 0;
    if (res[j]>9) {
	over = res[j] / 10;
	res[j] = res[j] % 10;
    }
  }
  resp = n1p+n2p; 
  respk = resp;
  for (i=resp; i>=0; i--) {
    if (res[i]!=0) { resp = i;
		     break;
    }	
  }
  return;
}

void vypis(int funkce){
 
 n2p ++; /* znamenko */
 if (n2p>MAX) MAX = n2p;
 
 if (funkce==0) {
   if (resp>MAX) MAX = resp;

   if (n1p<MAX)  
     for(i=0; i<MAX-n1p; i++) printf(" ");
   for (i=n1p-1; i>=0; i--) printf("%d", n1[i]); printf("\n");

   if (n2p<MAX)  
     for(i=0; i<MAX-n2p; i++) printf(" ");
   printf("%c", oper);
   for (i=n2p-2; i>=0; i--) printf("%d", n2[i]); printf("\n");
  
   for (i=0; i<MAX; i++) printf("-"); printf("\n");

   if (resp<MAX-1)  
     for(i=0; i<MAX-resp-1; i++) printf(" "); 
   for (i=resp; i>=0; i--) printf("%d", res[i]); printf("\n");
 }   
 
 if (funkce == 1) {
   if (resp>MAX) MAX = resp;
 
   if (n1p<MAX)  
     for(i=0; i<MAX-n1p; i++) printf(" ");
   for (i=n1p-1; i>=0; i--) printf("%d", n1[i]); printf("\n");

   if (n2p<MAX)  
     for(i=0; i<MAX-n2p; i++) printf(" ");

   printf("%c", oper);
   for (i=n2p-2; i>=0; i--) printf("%d", n2[i]); printf("\n");

   for (i=0; i<MAX; i++) printf("-"); printf("\n");

   if (resp<MAX-1)  
     for(i=0; i<MAX-resp-1; i++) printf(" "); 
   for (i=resp; i>=0; i--) printf("%d", res[i]); printf("\n");
 }

 if (funkce==2) {
   
  if (n1p<resp)  
     for(i=0; i<MAX-n1p+1; i++) printf(" ");
   for (i=n1p-1; i>=0; i--) printf("%d", n1[i]); printf("\n");

  if (n2p<resp)  
     for(i=0; i<MAX-n2p+1; i++) printf(" ");
   printf("%c", oper);
   for (i=n2p-2; i>=0; i--) printf("%d", n2[i]); printf("\n");

   if (resp>MAX)
     for (i=0; i<resp-MAX; i++) printf(" "); 
   for (i=0; i<MAX; i++) printf("-"); printf("\n");
   
   for (i=n2p; i>=0; i--) {
    for (j=0; j<respk; j++) {
      if (mres[i][j]==0) printf(" ");
      else
        printf("%d", mres[i][respk-j+1-i]);
    }
    printf("\n");
   }
   for (i=resp; i>=0; i--) printf("%d", res[i]); printf("\n"); 

 
 }
 printf("\n");
  return;
}

int main(void) {
  
  scanf("%d\n", &tasks);
  while (tasks--) {
    scanf("%s", radek);
/*    printf("radek: %s\n",  radek); */
    for (i=0; i<512; i++) {
      n1[i] = 0;
      n2[i] = 0;
    }  
    n1p = 0;
    n2p = 0;
    prvni = 0;
    delka = strlen(radek);
    
    for (i=strlen(radek)-1; i>=0; i--) {
      if ((radek[i]>='0') && (radek[i]<='9')) {
        if (!prvni) {
	      n2[delka-i-1] = radek[i] - '0';
	      n2p++;
	}      
	if (prvni) {
	      n1[delka-i-1] = radek[i] - '0';
	      n1p++;
	}      
      }	
      else { oper = radek[i]; 
             prvni = 1;
	     delka = i;
      }
    /* nacteny cisla odzadu a operator */        
      if ( n1p>n2p ) MAX = n1p;
              else   MAX = n2p;
    }
    switch (oper) {
     case '+': soucet(); 
               vypis(0); 
	      break;
     case '-': odecti(); 
               vypis(1);
             break;
     case '*': nuluj();
               nasob();
	       vypis(2);
             break;	     	     
    }
    /*
    printf("n1p: %d, n2p: %d\n",n1p, n2p); 
	
    for (i=0; i<n1p; i++) printf("%d", n1[i]); printf("\n");
    for (i=0; i<n2p; i++) printf("%d", n2[i]); printf("\n%c\n", oper);
    for (i=0; i<MAX; i++) printf("%d", res[i]); printf("\n");
    */
  }    
  return 0;
}  
  